List of all members
clan::FadeFilter Class Reference
clanSound Filters

Fade Filter Class. More...

`#include <fadefilter.h>`

Inheritance diagram for clan::FadeFilter:

## Public Member Functions
Construction
| FadeFilter (float initial_volume)
| Fade Filter Constructor. More...
virtual | ~FadeFilter ()
| Fade Filter Destructor. More...
Attributes
float | get_volume () const
| Returns the current volume of the fade filter, from 0.0f (no volume) to 1.0f (full volume). More...
Operations
FadeFilterProvider * | get_provider () const
| Retrieves the provider. More...
void | set_volume (float new_volume)
| Sets the volume instant. More...
void | fade_to_volume (float new_volume, int duration=1000)
| Fade to volume, from 0.0f (no volume) to 1.0f (full volume). More...
Public Member Functions inherited from clan::SoundFilter
| SoundFilter ()
| Constructs a NULL instance. More...
| SoundFilter (SoundFilterProvider *provider)
| Constructs a sound filter. More...
| ~SoundFilter ()
bool | operator== (const SoundFilter &other) const
| Equality operator. More...
bool | operator!= (const SoundFilter &other) const
| Inequality operator. More...
bool | is_null () const
| Returns true if this object is invalid. More...
void | throw_if_null () const
| Throw an exception if this object is invalid. More...
SoundFilterProvider * | get_provider () const
| Retrieves the provider. More...
void | filter (float **sample_data, int num_samples, int channels)
| Filter callback. More...

## Additional Inherited Members
Public Attributes inherited from clan::SoundFilter
std::shared_ptr< SoundFilter_Impl > | impl

## Detailed Description

Fade Filter Class.

The documentation for this class was generated from the following file:

- fadefilter.h